# class MathML::Util::MathData

### Attributes

dmath_list[R]
dsrc_list[R]
escape_list[R]
esrc_list[R]
math_list[R]
msrc_list[R]
user_list[R]
usrc_list[R]

### Public Class Methods

new() click to toggle source

       # File lib/math_ml/util.rb
    50 def initialize
    51   @math_list = []
    52   @msrc_list = []
    53   @dmath_list = []
    54   @dsrc_list = []
    55   @escape_list = []
    56   @esrc_list = []
    57   @user_list = []
    58   @usrc_list = []
    59 end

### Public Instance Methods

update(s) click to toggle source

       # File lib/math_ml/util.rb
    61 def update(s)
    62   @math_list.concat(s.math_list)
    63   @msrc_list.concat(s.msrc_list)
    64   @dmath_list.concat(s.dmath_list)
    65   @dsrc_list.concat(s.dsrc_list)
    66   @escape_list.concat(s.escape_list)
    67   @esrc_list.concat(s.esrc_list)
    68   @user_list.concat(s.user_list)
    69   @usrc_list.concat(s.usrc_list)
    70 end